﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ADOstudy
{
  public partial class Form1 : Form
  {
    private DataSet myData;

    public Form1()
    {
      InitializeComponent();
      myData = new DataSet();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      OleDbConnection connection = new OleDbConnection();
      connection.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=.\\AdoStudy.mdb";
      try
      {
        connection.Open();
      }
      catch
      {
        MessageBox.Show("Ошибка соединения с базой данных AdoStudy.mdb");
        Application.Exit();
      }
      OleDbCommand command = connection.CreateCommand();
      OleDbDataAdapter dataAdapter = new OleDbDataAdapter();
      command.CommandText = "SELECT *FROM Contacts";
      dataAdapter.SelectCommand = command;
      dataAdapter.FillSchema(myData, SchemaType.Source, "Contacts");
      command.CommandText = "SELECT *FROM Phone";
      dataAdapter.SelectCommand = command;
      dataAdapter.FillSchema(myData, SchemaType.Source, "Phone");
      command.CommandText = "SELECT *FROM Contacts";
      dataAdapter.SelectCommand = command;
      dataAdapter.Fill(myData, "Contacts");
      command.CommandText = "SELECT *FROM Phone";
      dataAdapter.Fill(myData, "Phone");
      DataRelation rl = new DataRelation("relat", myData.Tables["Contacts"].Columns["idContact"],
                        myData.Tables["Phone"].Columns["idContact"], true);
      myData.Relations.Add(rl);
      BindingSource bsParent;
      BindingSource bsChild;
      bsParent = new BindingSource();
      bsChild = new BindingSource();
      bsParent.DataSource = myData;
      bsParent.DataMember = "Contacts";
      bsChild.DataSource = bsParent;
      bsChild.DataMember = "relat";
      dgvContacts.DataSource = bsParent;
      dgvPhone.DataSource = bsChild; 
    }

    private void bindingNavigatorMoveNextItem_Click(object sender, EventArgs e)
    {

    }

    private void testBaseBindingNavigatorSaveItem_Click(object sender, EventArgs e)
    {

    }
  }
}
